Topic: /usr/lib/php/20151012/oci8.so' - libmql1.so: cannot open

Hi Everyone,
php7.0-fpm does not load oci8.so / libmql1.so with instant client 12.1.0.2.0 on Debian stretch. We're not finding our mistake after two days. Thank you for any feedback.

Tristan

===

service php7.0-fpm status
<snip>
Mar 01 12:17:07 server-mail systemd[1]: Starting The PHP 7.0 FastCGI Process Manager...
Mar 01 12:17:07 server-mail php-fpm7.0[3373]: [01-Mar-2018 12:17:07] NOTICE: PHP message: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/20151012/oci8.so' - libmql1.so: cannot open shared object file: No such file or directory in Unknown on line 0
Mar 01 12:17:07 server-mail systemd[1]: Started The PHP 7.0 FastCGI Process Manager.
<\snip>

Environment:
  LD_LIBRARY_PATH=/usr/lib/oracle/12.1/client64/lib
  TNS_ADMIN=/usr/lib/oracle/12.1/client64/network/admin
  PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  ORACLE_HOME=/usr/lib/oracle/12.1/client64

oci8 - (pecl install oci8):
ldd /usr/lib/php/20151012/oci8.so
    linux-vdso.so.1 (0x00007ffd7a7d4000)
    libclntsh.so.12.1 => /usr/lib/oracle/12.1/client64/lib/libclntsh.so.12.1 (0x00007fb420a03000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fb420664000)
    libmql1.so => /usr/lib/oracle/12.1/client64/lib/libmql1.so (0x00007fb4203ee000)
    libipc1.so => /usr/lib/oracle/12.1/client64/lib/libipc1.so (0x00007fb420070000)
    libnnz12.so => /usr/lib/oracle/12.1/client64/lib/libnnz12.so (0x00007fb41f966000)
    libons.so => /usr/lib/oracle/12.1/client64/lib/libons.so (0x00007fb41f721000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fb41f51d000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fb41f219000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fb41effc000)
    libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007fb41ede4000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fb41ebdc000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fb423beb000)
    libaio.so.1 => /lib/x86_64-linux-gnu/libaio.so.1 (0x00007fb41e9da000)
    libclntshcore.so.12.1 => /usr/lib/oracle/12.1/client64/lib/libclntshcore.so.12.1 (0x00007fb41e468000)


Oracle instant client:
  oracle-instantclient12.1-devel-12.1.0.2.0-1.x86_64.rpm
  oracle-instantclient12.1-basic-12.1.0.2.0-1.x86_64.rpm


PHP:
PHP 7.0.27-0+deb9u1 (cli) (built: Jan  5 2018 13:51:52) ( NTS )


OS:
Linux server-mail 4.9.0-4-amd64 #1 SMP Debian 4.9.65-3+deb9u1 (2017-12-23) x86_64 GNU/Linux

Re: /usr/lib/php/20151012/oci8.so' - libmql1.so: cannot open

oci8 version: 2.1.8

Re: /usr/lib/php/20151012/oci8.so' - libmql1.so: cannot open

> on Debian stretch.

Out of topic here

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: /usr/lib/php/20151012/oci8.so' - libmql1.so: cannot open

Sorry but this forum is for user of my RPM repository for Fedora / RHEL and CentOS

I can't obviously help user of other distro / repo, who didn't use my work.

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test